aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristian Kandeler <christian.kandeler@digia.com>2014-07-31 14:17:46 +0200
committerChristian Kandeler <christian.kandeler@digia.com>2014-07-31 14:54:26 +0200
commitc585823afd68fcee4e1bc61ba87adefd8c7395b1 (patch)
tree85d6839175a1e03cca717128f73b915e68eab20c
parent59aed7c423ab1ff8e19d34736619cb128cc8b49a (diff)
Add missing comma to error message.
Change-Id: I90b1b4dd35c6b2c625d11137e0f7d76d92641f72 Reviewed-by: Joerg Bornemann <joerg.bornemann@digia.com>
-rw-r--r--src/lib/corelib/language/projectresolver.cpp2
-rw-r--r--src/lib/corelib/language/tst_language.cpp2
2 files changed, 2 insertions, 2 deletions
diff --git a/src/lib/corelib/language/projectresolver.cpp b/src/lib/corelib/language/projectresolver.cpp
index 92244f6a4..5da3e3f0c 100644
--- a/src/lib/corelib/language/projectresolver.cpp
+++ b/src/lib/corelib/language/projectresolver.cpp
@@ -231,7 +231,7 @@ void ProjectResolver::resolveProject(Item *item, ProjectContext *projectContext)
if (!m_qbsVersion.isValid())
m_qbsVersion = qbsVersionFromString(QLatin1String(QBS_VERSION));
if (m_qbsVersion < minVersion) {
- throw ErrorInfo(Tr::tr("The project requires at least qbs version %1 but "
+ throw ErrorInfo(Tr::tr("The project requires at least qbs version %1, but "
"this is qbs version %2.").arg(minVersion.toString(),
m_qbsVersion.toString()));
}
diff --git a/src/lib/corelib/language/tst_language.cpp b/src/lib/corelib/language/tst_language.cpp
index e5fde813e..7f32a1de8 100644
--- a/src/lib/corelib/language/tst_language.cpp
+++ b/src/lib/corelib/language/tst_language.cpp
@@ -376,7 +376,7 @@ void TestLanguage::erroneousFiles_data()
"at .*duplicate_sources_wildcards.qbs:4:12 "
"and .*duplicate_sources_wildcards.qbs:6:16.";
QTest::newRow("oldQbsVersion")
- << "The project requires at least qbs version \\d+\\.\\d+.\\d+ "
+ << "The project requires at least qbs version \\d+\\.\\d+.\\d+, "
"but this is qbs version " QBS_VERSION ".";
QTest::newRow("wrongQbsVersionFormat")
<< "The value of Project.minimumQbsVersion is not a valid version string.";